Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Query Parameters

after
string

Returns the elements in the list that come after the specified cursor.

before
string

Returns the elements in the list that come before the specified cursor.

first
integer

Returns the first n elements from the list.

Example:

42

last
integer

Returns the last n elements from the list.

Example:

42

app_id
string
required

The unique identifier of the app to list builds for.

Example:

"app_xxxxxxxxxxxxxx"

platform
enum<string>

Filter builds by target platform.

Available options:
ios,
android,
web
status
enum<string>

Filter builds by review status.

Available options:
draft,
pending,
approved,
rejected
created_before
string<date-time>

Only return builds created before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

created_after
string<date-time>

Only return builds created after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

Response

A successful response

The connection type for AppBuild.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.